import 'package:flutter/widgets.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:pharmacy_mobile/blocs/caches/typelist/typelist_cache_bloc.dart';
import 'package:pharmacy_mobile/blocs/caches/typelist/typelist_cache_event.dart';

Future<bool> cacheSetTypeList(BuildContext context, List value) async {
  try {
    final typeListCache = context.read<TypeListBloc>();
    typeListCache.add(TypeListCacheSet(value));
    return true;
  } catch (e) {
    return false;
  }
}
